Create the Vscan scanner-pool configuration for an SVM
Creates a Vscan scanner-pool configuration for a specified Storage Virtual Machine (SVM). This endpoint is useful when you need to define scanner pools with specific servers and privileged users, essential for efficient virus scanning operations within your storage environment.
HTTP method and endpoint
POST /protocols/vscan/{svm.uuid}/scanner-pools
Introduced in
ONTAP 9.6
Usage notes
Creates a Vscan scanner-pool configuration for a specified SVM. You can create a scanner-pool with all fields specified or only mandatory fields specified.
Important notes:
-
A scanner-pool must have servers and privileged users specified.
-
If the role or cluster is not specified, the scanner-pool is created on the local cluster with the role set as primary. *`Only one of the fields cluster-uuid or cluster-name is required.
Required properties
-
svm.uuidorsvm.name- Existing SVM in which to create the Vscan configuration. -
name- Scanner-pool name. -
privileged_users- List of privileged users. -
servers- List of server IP addresses or FQDNs.
Recommended optional properties
-
role- Setting a role for a scanner-pool is recommended. -
cluster- Passing the cluster name or UUID (or both) in a multi-cluster environment is recommended.
Default property values
If not specified in POST, the following default property values are assigned:
-
role- primary -
cluster.name- Local cluster name. -
cluster.uuid- Local cluster UUID.
Related ONTAP commands
-
vserver vscan scanner-pool create -
vserver vscan scanner-pool apply-policy -
vserver vscan scanner-pool privileged-users add -
vserver vscan scanner-pool servers add
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
return_records |
boolean |
query |
False |
The default is false. If set to true, the records are returned.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
cluster |
||
name |
string |
Specifies the name of the scanner pool. Scanner pool name can be up to 256 characters long and is a string that can only contain any combination of ASCII-range alphanumeric characters a-z, A-Z, 0-9), "_", "-" and ".". |
privileged_users |
array[string] |
Specifies a list of privileged users. A valid form of privileged user-name is "domain-name\user-name". Privileged user-names are stored and treated as case-insensitive strings. Virus scanners must use one of the registered privileged users for connecting to clustered Data ONTAP for exchanging virus-scanning protocol messages and to access file for scanning, remedying and quarantining operations.
|
role |
string |
Specifies the role of the scanner pool. The possible values are:
|
servers |
array[string] |
Specifies a list of IP addresses or FQDN for each Vscan server host names which are allowed to connect to clustered ONTAP.
|
svm |
SVM, applies only to SVM-scoped objects. |
Example request
{
"cluster": {
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"name": "scanner-1",
"privileged_users": [
"cifs\\u1",
"cifs\\u2"
],
"role": "string",
"servers": [
"1.1.1.1",
"10.72.204.27",
"vmwin204-27.fsct.nb"
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
Response
Status: 201, Created
| Name | Type | Description |
|---|---|---|
num_records |
integer |
Number of records |
records |
array[vscan_scanner_pool] |
Example response
{
"num_records": 1,
"records": [
{
"cluster": {
"name": "cluster1",
"uuid": "1cd8a442-86d1-11e0-ae1c-123478563412"
},
"name": "scanner-1",
"privileged_users": [
"cifs\\u1",
"cifs\\u2"
],
"role": "string",
"servers": [
"1.1.1.1",
"10.72.204.27",
"vmwin204-27.fsct.nb"
],
"svm": {
"name": "svm1",
"uuid": "02c9e252-41be-11e9-81d5-00a0986138f7"
}
}
]
}
Headers
| Name | Description | Type |
|---|---|---|
Location |
Useful for tracking the resource location |
string |
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
10027086 |
The specified list of servers contains one or more entries that cannot be resolved |
10027258 |
The specified cluster_name does not exist |
10027256 |
The specified cluster_uuid does not exist |
10027257 |
The specified cluster_name and cluster_uuid are valid but belong to different clusters |
10027248 |
Scanner-pool created successfully but failed to activate |
10027107 |
The list of privileged users or list of servers specified is empty |
10027108 |
The list of privileged users specified contains an invalid entry |
10027063 |
Attempting to modify a scanner-pool on an SVM owned by the cluster with a data SVM |
10027086 |
DNS resolution failed for one or more hostnames |
10027119 |
The privileged user contains characters that are not allowed |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
cluster_reference
| Name | Type | Description |
|---|---|---|
name |
string |
|
uuid |
string |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
vscan_scanner_pool
Scanner pool is a set of attributes which are used to validate and manage connections between clustered ONTAP and external virus-scanning server, or "Vscan server".
| Name | Type | Description |
|---|---|---|
cluster |
||
name |
string |
Specifies the name of the scanner pool. Scanner pool name can be up to 256 characters long and is a string that can only contain any combination of ASCII-range alphanumeric characters a-z, A-Z, 0-9), "_", "-" and ".". |
privileged_users |
array[string] |
Specifies a list of privileged users. A valid form of privileged user-name is "domain-name\user-name". Privileged user-names are stored and treated as case-insensitive strings. Virus scanners must use one of the registered privileged users for connecting to clustered Data ONTAP for exchanging virus-scanning protocol messages and to access file for scanning, remedying and quarantining operations.
|
role |
string |
Specifies the role of the scanner pool. The possible values are:
|
servers |
array[string] |
Specifies a list of IP addresses or FQDN for each Vscan server host names which are allowed to connect to clustered ONTAP.
|
svm |
SVM, applies only to SVM-scoped objects. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |